import { jsx } from "react/jsx-runtime";
import { Token0X0 as Token0X0$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Token0X0 = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "0X0", "data-name": "Token0X0", ...props, children: /* @__PURE__ */ jsx(Token0X0$1, { variant }) });
  }
);
Token0X0.displayName = "Token0X0";
Object.assign(Token0X0, { isGdsIcon: true });
export {
  Token0X0
};
